Bug 173552 - Review Request: xfce4-sensors-plugin
Summary: Review Request: xfce4-sensors-plugin
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Luya Tshimbalanga
QA Contact: David Lawrence
URL: http://xfce-goodies.berlios.de/
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-11-18 01:57 UTC by Christoph Wickert
Modified: 2014-09-23 11:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-22 20:57:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora-cvs+


Attachments (Terms of Use)

Description Christoph Wickert 2005-11-18 01:57:29 UTC
Spec Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SPECS/xfce4-sensors-plugin.spec
SRPM Name or Url: 
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-sensors-plugin-0.7.0-1.fc4.src.rpm
Description: 
This plugin displays various hardware sensor values in the Xfce panel.

Comments:
rpmlint is clean
License GPL and included
not latest upstream release, but latest for XFCE 4.2.x

Comment 1 Luya Tshimbalanga 2005-12-01 09:38:02 UTC
I will review your xfce packages. The result will be displayed later as I will
be busy during Pacific daytime. So far, you had two FC-ACCEPTED packages.

Comment 2 Christoph Wickert 2005-12-01 13:18:30 UTC
But this one also lacked libxfcegui4-devel.

- Add libxfcegui4-devel BuildReqs.
- Fix %defattr.

New SRPM:
http://home.arcor.de/christoph.wickert/fedora/extras-review/SRPMS/xfce4-sensors-plugin-0.7.0-2.fc4.src.rpm

Comment 3 Luya Tshimbalanga 2006-01-20 00:00:35 UTC
Detailed review:
+ mock succesfully built the source package. No errors reported
+ rpmlint did not complain. No warning nor errors reported
+ package follow the PackageNameGuideline procedure:
http://fedoraproject.org/wiki/PackageNamingGuidelines
+ tarball from source rpm matched source url listed on spec file. Both matched
by md5sum and sha1sum
+ No error reported after install and removed package
+ License listed on SPEC file matches the source tarball :
http://fedoraproject.org/wiki/PackagingGuidelines#Legal
+ SPEC file conform to PackagingGuideline 
http://fedoraproject.org/wiki/PackagingGuidelines


Accordingly, this package is ready to be submitted on Fedora Extras so the
status is set to FE-ACCEPT.

Comment 4 Christoph Wickert 2006-01-22 20:57:47 UTC
Add "ExcludeArch: ppc" (there is no lm_sensors for power pc.) Builds fine now.

CLOSED

Comment 5 Christoph Wickert 2006-01-23 10:14:11 UTC
(In reply to comment #4)
> Add "ExcludeArch: ppc" (there is no lm_sensors for power pc.) 

see bug #178680


Comment 6 Mukundan Ragavan 2014-09-23 00:59:53 UTC
Package Change Request
======================
Package Name: xfce4-sensors-plugin
New Branches: epel7
Owners: cwickert
InitialCC: nonamedotc

Comment 7 Gwyn Ciesla 2014-09-23 11:58:38 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.